package ru.ulstu.deadline.model;

import ru.ulstu.core.model.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.util.Date;

@Entity
public class Deadline extends BaseEntity {

    private String description;

    @Temporal(value = TemporalType.TIMESTAMP)
    private Date date;

    public Deadline() {
    }

    public Deadline(Date deadlineDate, String description) {
        this.date = deadlineDate;
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
